PHASEFILT.DORIS(1)

NAME
phasefilt.doris - Filter mph file using Doris

DESCRIPTION
phasefilt.doris v1.1, FMR software, Bert Kampes, (c)2000

SYNOPSIS:

    phasefilt.doris -l numlines [-o .filtered] [-a 0.25] [-e 3]

    [-b 32] [-m goldstein] [-k kernel | -K file] [--] infile

    OPTIONS:

-l numlines
    Number of lines in inputfile.

-m method
    method either: "goldstein", "spectral", or "spatialconv".

-o filename
    Output file name.

-a A
    Alpha filter parameter A e{0,1} (Goldstein method).

-e E
    Use overlap of 2*E pixels, so partially the same complex data are used to estimate the spectrum.

-b B
    Filter in blocks of size (B,B). Should be power of 2.

-k kernel
    1D KERNEL, use underscores for space. For example -k 5_1_2_3_4_5

-K file
    Name of ascii input file containing a 2D kernel for method spatialconv or spectral. 1 header line with: "height", "width" and "scalefactor", for example:

3 3 0.111111111111
    1 1 1 1 1 1 1 1 1

infile
    Name of input file with numlines (complexr4).

    BUGS:

    -

    EXAMPLES:

    -

    SEE ALSO:

    Doris user's manual, e.g. online, at: www.geo.tudelft.nl/doris/

infile: does not exist

PROGRAM:
    phasefilt.doris -- Filter mph file using Doris.

    SYNOPSIS:

    phasefilt.doris -l numlines [-o .filtered] [-a 0.25] [-e 3]

    [-b 32] [-m goldstein] [-k kernel | -K file] [--] infile

    OPTIONS:

-l numlines
    Number of lines in inputfile.

-m method
    method either: "goldstein", "spectral", or "spatialconv".

-o filename
    Output file name.

-a A
    Alpha filter parameter A e{0,1} (Goldstein method).

-e E
    Use overlap of 2*E pixels, so partially the same complex data are used to estimate the spectrum.

-b B
    Filter in blocks of size (B,B). Should be power of 2.

-k kernel
    1D KERNEL, use underscores for space. For example -k 5_1_2_3_4_5

-K file
    Name of ascii input file containing a 2D kernel for method spatialconv or spectral. 1 header line with: "height", "width" and "scalefactor", for example:

3 3 0.111111111111
    1 1 1 1 1 1 1 1 1

infile
    Name of input file with numlines (complexr4).

    BUGS:

    -

    EXAMPLES:

    -

    SEE ALSO:

    Doris user's manual, e.g. online, at: www.geo.tudelft.nl/doris/

SEE ALSO
The full documentation for phasefilt.doris is maintained as a Texinfo manual. If the info and phasefilt.doris programs are properly installed at your site, the command

    info phasefilt.doris

should give you access to the complete manual.